Package uk.ac.starlink.vo

## Class RegRole

- java.lang.Object
- - uk.ac.starlink.vo.RegRole

-     public abstract class RegRole
      extends java.lang.Object

  Characterises a role item from the registry resource model. This corresponds to a row of the RegTAP rr.res_role table.
  Since:
    5 Jun 2015
  Author:
    Mark Taylor
  See Also:
    RegTAP

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegRole​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `getBaseRole​()` | Returns the role played by this entity; should be one of "contact", "publisher", "creator".
    `abstract java.lang.String` | `getEmail​()` | Returns the email address associated with the person or organisation.
    `abstract java.lang.String` | `getLogo​()` | Returns the URL of a logo associated with this entity.
    `abstract java.lang.String` | `getName​()` | Returns the real-world name or title of the person or organisation.
    `static RegRole[]` | `readRoles​(EndpointSet regTapEndpointSet, java.lang.String ivoid, uk.ac.starlink.util.ContentCoding coding)` | Performs a RegTAP query to return all the role records corresponding to a given registry resource (ivoid).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegRole

          public RegRole​()

  - ### Method Detail

    - #### getBaseRole

          public abstract java.lang.String getBaseRole​()

      Returns the role played by this entity; should be one of "contact", "publisher", "creator".
      Returns:
        role type

    - #### getName

          public abstract java.lang.String getName​()

      Returns the real-world name or title of the person or organisation.
      Returns:
        name

    - #### getEmail

          public abstract java.lang.String getEmail​()

      Returns the email address associated with the person or organisation.
      Returns:
        email

    - #### getLogo

          public abstract java.lang.String getLogo​()

      Returns the URL of a logo associated with this entity.
      Returns:
        logo URL

    - #### readRoles

          public static RegRole[] readRoles​(EndpointSet regTapEndpointSet,
                                            java.lang.String ivoid,
                                            uk.ac.starlink.util.ContentCoding coding)
                                     throws java.io.IOException

      Performs a RegTAP query to return all the role records corresponding to a given registry resource (ivoid).
      Parameters:
        `regTapEndpointSet` - TAP endpoints for RegTAP service
        `ivoid` - identifier for resource
        `coding` - configures HTTP compression
      Returns:
        role records for resource
      Throws:
        `java.io.IOException`

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.